Skip to main content
`Ctrl`+`K`

# RGSetType

Selects the type for the `RG` object.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGSetType(RG rg,RGType type)

Logically Collective

## Input Parameters

- rg - the region context

- type - a known type

## Options Database Key

- -rg_type <type> - sets `RG` type

## See Also

RG: Region, `RGGetType()`

## Level

beginner

## Location

src/sys/classes/rg/interface/rgbasic.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex27f.F90
src/eps/tutorials/ex30.c
src/nep/tutorials/ex27.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages